RENICE(1)

NAME
renice - alter priority of running processes

SYNOPSIS

renice [-n|--priority|--relative] priority [-g|-p|-u] identifier...

DESCRIPTION

renice alters the scheduling priority of one or more running processes. The first argument is the priority value to be used. The other arguments are interpreted as process IDs (by default), process group IDs, user IDs, or user names. renice'ing a process group causes all processes in the process group to have their scheduling priority altered. renice'ing a user causes all processes owned by the user to have their scheduling priority altered.

By default, priority is understood as an absolute value. But when option --relative is given, or when option -n is given and the environment variable POSIXLY_CORRECT is set, then priority is understood as a relative value.

OPTIONS

-n priority|delta
    Specify the absolute scheduling priority (when POSIXLY_CORRECT is not set) or a relative priority (when POSIXLY_CORRECT is set). See NOTES below for more details. Using option -n is optional, but when used, it must be the first argument.

--priority priority
    Specify the absolute scheduling priority to be used. This is the default, when no option is specified.

--relative delta
    Specify a relative priority. The actual scheduling priority gets incremented/decremented by the given delta. (This is the same as the -n option when POSIXLY_CORRECT is set.)

-g, --pgrp
    Interpret the succeeding arguments as process group IDs.

-p, --pid
    Interpret the succeeding arguments as process IDs (the default).

-u, --user
    Interpret the succeeding arguments as usernames or UIDs.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

FILES

/etc/passwd
    to map user names to user IDs

NOTES

Users other than the superuser may alter the priority only of processes they own. Furthermore, an unprivileged user can only increase the "nice value" (that is: lower the urgency), and such changes are irreversible unless (since Linux 2.6.12) the user has a suitable "nice" resource limit (see getrlimit(2)).

The superuser may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful priorities are: 19 (the affected processes will run only when nothing else in the system wants to), 0 (the "base" scheduling priority), anything negative (to make things go very fast).

For historical reasons, the -n option in this implementation does not follow the POSIX specification: instead of setting a relative priority, it sets an absolute priority by default. As this may not be desirable, this behavior can be changed by setting the environment variable POSIXLY_CORRECT, to be fully POSIX compliant. See --relative and --priority for options that do not change behavior depending on environment variables.

HISTORY

The renice command appeared in 4.0BSD.

EXAMPLE

The following command changes the priority of the processes with PIDs 987 and 32, plus all processes owned by the users daemon and root:

    renice +1 987 -u daemon root -p 32

SEE ALSO

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The renice command is part of the util-linux package which can be downloaded from